"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tag = exports.VerifiedBot = void 0;
const stitches_config_1 = require("../Stitches/stitches.config");
// export const VerifiedBot = styledOverridable(
//   "svg",
//   "chat-tag-verified-bot-svg",
//   css({
//     verticalAlign: "top",
//     width: 15,
//     height: 15,
//     marginLeft: "-.25rem",
//   }
// );
exports.VerifiedBot = stitches_config_1.styled.withConfig({
    displayName: "chat-tag-verified-bot-svg",
    componentId: stitches_config_1.commonComponentId,
})("svg", {
    verticalAlign: "top",
    width: 15,
    height: 15,
    marginLeft: "-.25rem",
});
exports.Tag = stitches_config_1.styled.withConfig({
    displayName: "chat-tag",
    componentId: stitches_config_1.commonComponentId,
})("span", {
    marginLeft: stitches_config_1.theme.space.small,
    fontSize: stitches_config_1.theme.fontSizes.xs,
    textTransform: "uppercase",
    height: "fit-content",
    borderRadius: 3,
    padding: `${stitches_config_1.theme.space.xxs} ${stitches_config_1.theme.space.small}`,
    alignSelf: "center",
    whiteSpace: "nowrap",
    display: "flex",
    alignItems: "center",
    backgroundColor: stitches_config_1.theme.colors.accent,
    color: stitches_config_1.theme.colors.primaryOpacity100,
});
//# sourceMappingURL=style.js.map