"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const v10_1 = require("discord-api-types/v10");
const ButtonComponent_1 = __importDefault(require("./ButtonComponent"));
const react_1 = __importDefault(require("react"));
function Component({ component, message }) {
    switch (component.type) {
        case v10_1.ComponentType.Button:
            return react_1.default.createElement(ButtonComponent_1.default, { button: component, message: message });
        default:
            return null;
    }
}
exports.default = Component;
//# sourceMappingURL=Component.js.map