"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const AuthorStyles = __importStar(require("../style/author"));
const MessageAuthor_1 = __importDefault(require("../MessageAuthor"));
const LargeTimestamp_1 = __importDefault(require("../LargeTimestamp"));
const react_1 = __importDefault(require("react"));
const Styles = __importStar(require("../style/message"));
const message_1 = require("../style/message");
const getDisplayName_1 = __importDefault(require("../../utils/getDisplayName"));
// todo: check if this also applies to group chats, and support those as well.
function RecipientAdd(props) {
    return (react_1.default.createElement(Styles.SystemMessage, null,
        react_1.default.createElement(Styles.SystemMessageIcon, { width: message_1.SystemMessageIconSize, height: message_1.SystemMessageIconSize, svg: "IconAdd" }),
        react_1.default.createElement(Styles.SystemMessageContent, null,
            react_1.default.createElement(MessageAuthor_1.default, { author: props.author, onlyShowUsername: true }),
            " added",
            " ",
            react_1.default.createElement(AuthorStyles.Username, null, (0, getDisplayName_1.default)(props.target)),
            " ",
            "to the thread."),
        react_1.default.createElement(LargeTimestamp_1.default, { timestamp: props.createdAt })));
}
exports.default = RecipientAdd;
//# sourceMappingURL=RecipientAdd.js.map