"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.tooltipAnimDurationMs = exports.tooltipAnimPrefix = exports.tooltipPrefix = void 0;
const rc_tooltip_1 = __importDefault(require("rc-tooltip"));
const react_1 = __importDefault(require("react"));
exports.tooltipPrefix = "message-renderer-rc-tooltip";
exports.tooltipAnimPrefix = "tooltip-anim";
exports.tooltipAnimDurationMs = 100;
function Tooltip(_a) {
    var { children } = _a, props = __rest(_a, ["children"]);
    return (react_1.default.createElement(rc_tooltip_1.default, Object.assign({}, props, { prefixCls: exports.tooltipPrefix, transitionName: exports.tooltipAnimPrefix, transitionAppear: true, transitionAppearTimeout: exports.tooltipAnimDurationMs, transitionEnter: true, transitionEnterTimeout: exports.tooltipAnimDurationMs, transitionLeave: true, transitionLeaveTimeout: exports.tooltipAnimDurationMs, destroyTooltipOnHide: true }), children));
}
exports.default = Tooltip;
//# sourceMappingURL=index.js.map