"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.customEmoji = void 0;
const simple_markdown_1 = __importDefault(require("simple-markdown"));
const react_1 = __importDefault(require("react"));
const Emoji_1 = __importDefault(require("../../../Emoji"));
exports.customEmoji = {
    order: simple_markdown_1.default.defaultRules.text.order,
    match: (source) => /^<(a)?:(\w+):(\d+)>/.exec(source),
    parse: ([, animated, name, id]) => ({
        id,
        name,
        animated: !!animated,
        src: `https://cdn.discordapp.com/emojis/${id}.${animated ? "gif" : "png"}`,
    }),
    react: (node, recurseOutput, state) => (react_1.default.createElement(Emoji_1.default, { emojiName: node.name, enlarged: node.jumboable, src: node.src, key: state.key })),
};
//# sourceMappingURL=customEmoji.js.map