import SvgFromUrl from "../../SvgFromUrl";
export declare const ImageAttachment: import("@stitches/react/types/styled-component").StyledComponent<any, {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const LazyImagePlaceholder: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoAttachmentContainer: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoAttachment: import("@stitches/react/types/styled-component").StyledComponent<"video", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoAttachmentOverlay: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoAttachmentOverlayControl: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const PlayOrPauseAnimationDuration = 400;
export declare const PlayOrPauseButtonAnimation: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoMetadata: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoMetadataTitle: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoMetadataFilesize: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoControls: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoControlsTime: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoControlButton: import("@stitches/react/types/styled-component").StyledComponent<typeof SvgFromUrl, {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const ProgressBarFill: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const ProgressBar: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Spoiler: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const AttachmentContainer: import("@stitches/react/types/styled-component").StyledComponent<"div", import("@stitches/react/types/styled-component").StyledComponentProps<[{
    display: string;
    backgroundColor: import("@stitches/react/types/theme").Token<"backgroundSecondary", string, "colors", "">;
    padding: number;
    border: string;
    borderRadius: number;
    width: string;
    flexWrap: string;
    variants: {
        withoutChildren: {
            true: {
                alignItems: string;
            };
        };
    };
}]>, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const AttachmentMetadata: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const AttachmentFileName: import("@stitches/react/types/styled-component").StyledComponent<"a", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const AttachmentFileSize: import("@stitches/react/types/styled-component").StyledComponent<"span", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const DownloadIcon: import("@stitches/react/types/styled-component").StyledComponent<"a", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const ExtraUserInterface: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const AttachmentAudioControls: import("@stitches/react/types/styled-component").StyledComponent<"audio", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
