export declare const commonComponentId = "wb";
export declare const styled: {
    withConfig: (config: {
        componentId?: string;
        displayName?: string;
        shouldForwardStitchesProp?: (prop: "css" | (string & {})) => boolean | void;
    }) => import("@stitches/react/types/stitches").StyledFunctionType<{}, {
        colors: {
            primaryOpacity10: string;
            primaryOpacity20: string;
            primaryOpacity30: string;
            primaryOpacity50: string;
            primaryOpacity60: string;
            primaryOpacity80: string;
            primaryOpacity100: string;
            primaryDark: string;
            systemMessageDark: string;
            textMuted: string;
            interactiveNormal: string;
            accent: string;
            background: string;
            backgroundSecondary: string;
            backgroundTertiary: string;
            lazyImageBackground: string;
            messageHover: string;
            link: string;
            mentioned: string;
            mentionedHover: string;
            mentionedBorder: string;
            tooltipBackground: string;
            tooltipForeground: string;
            transparentBlack: string;
            blackSpoilerHover: string;
            spines: string;
            attachmentBorder: string;
            danger: string;
            mentionBackground: string;
            mentionForeground: string;
            buttonPrimaryBackground: string;
            buttonPrimaryHoverBackground: string;
            buttonSecondaryBackground: string;
            buttonSecondaryHoverBackground: string;
            buttonDangerBackground: string;
            buttonDangerHoverBackground: string;
            buttonSuccessBackground: string;
            buttonSuccessHoverBackground: string;
        };
        fonts: {
            main: string;
        };
        fontSizes: {
            xs: string;
            s: string;
            m: string;
            l: string;
            xl: string;
            xxl: string;
        };
        space: {
            xxs: string;
            xs: string;
            small: string;
            medium: string;
            large: string;
            xl: string;
            xxl: string;
        };
        sizes: {
            messageLeftPadding: string;
            threadButton: string;
            messageTypeIcon: string;
        };
        borderWidths: {
            spines: string;
        };
    }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
} & import("@stitches/react/types/stitches").StyledFunctionType<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>, theme: string & {
    className: string;
    selector: string;
} & {
    colors: {
        primaryOpacity10: import("@stitches/react/types/theme").Token<"primaryOpacity10", string, "colors", "">;
        primaryOpacity20: import("@stitches/react/types/theme").Token<"primaryOpacity20", string, "colors", "">;
        primaryOpacity30: import("@stitches/react/types/theme").Token<"primaryOpacity30", string, "colors", "">;
        primaryOpacity50: import("@stitches/react/types/theme").Token<"primaryOpacity50", string, "colors", "">;
        primaryOpacity60: import("@stitches/react/types/theme").Token<"primaryOpacity60", string, "colors", "">;
        primaryOpacity80: import("@stitches/react/types/theme").Token<"primaryOpacity80", string, "colors", "">;
        primaryOpacity100: import("@stitches/react/types/theme").Token<"primaryOpacity100", string, "colors", "">;
        primaryDark: import("@stitches/react/types/theme").Token<"primaryDark", string, "colors", "">;
        systemMessageDark: import("@stitches/react/types/theme").Token<"systemMessageDark", string, "colors", "">;
        textMuted: import("@stitches/react/types/theme").Token<"textMuted", string, "colors", "">;
        interactiveNormal: import("@stitches/react/types/theme").Token<"interactiveNormal", string, "colors", "">;
        accent: import("@stitches/react/types/theme").Token<"accent", string, "colors", "">;
        background: import("@stitches/react/types/theme").Token<"background", string, "colors", "">;
        backgroundSecondary: import("@stitches/react/types/theme").Token<"backgroundSecondary", string, "colors", "">;
        backgroundTertiary: import("@stitches/react/types/theme").Token<"backgroundTertiary", string, "colors", "">;
        lazyImageBackground: import("@stitches/react/types/theme").Token<"lazyImageBackground", string, "colors", "">;
        messageHover: import("@stitches/react/types/theme").Token<"messageHover", string, "colors", "">;
        link: import("@stitches/react/types/theme").Token<"link", string, "colors", "">;
        mentioned: import("@stitches/react/types/theme").Token<"mentioned", string, "colors", "">;
        mentionedHover: import("@stitches/react/types/theme").Token<"mentionedHover", string, "colors", "">;
        mentionedBorder: import("@stitches/react/types/theme").Token<"mentionedBorder", string, "colors", "">;
        tooltipBackground: import("@stitches/react/types/theme").Token<"tooltipBackground", string, "colors", "">;
        tooltipForeground: import("@stitches/react/types/theme").Token<"tooltipForeground", string, "colors", "">;
        transparentBlack: import("@stitches/react/types/theme").Token<"transparentBlack", string, "colors", "">;
        blackSpoilerHover: import("@stitches/react/types/theme").Token<"blackSpoilerHover", string, "colors", "">;
        spines: import("@stitches/react/types/theme").Token<"spines", string, "colors", "">;
        attachmentBorder: import("@stitches/react/types/theme").Token<"attachmentBorder", string, "colors", "">;
        danger: import("@stitches/react/types/theme").Token<"danger", string, "colors", "">;
        mentionBackground: import("@stitches/react/types/theme").Token<"mentionBackground", string, "colors", "">;
        mentionForeground: import("@stitches/react/types/theme").Token<"mentionForeground", string, "colors", "">;
        buttonPrimaryBackground: import("@stitches/react/types/theme").Token<"buttonPrimaryBackground", string, "colors", "">;
        buttonPrimaryHoverBackground: import("@stitches/react/types/theme").Token<"buttonPrimaryHoverBackground", string, "colors", "">;
        buttonSecondaryBackground: import("@stitches/react/types/theme").Token<"buttonSecondaryBackground", string, "colors", "">;
        buttonSecondaryHoverBackground: import("@stitches/react/types/theme").Token<"buttonSecondaryHoverBackground", string, "colors", "">;
        buttonDangerBackground: import("@stitches/react/types/theme").Token<"buttonDangerBackground", string, "colors", "">;
        buttonDangerHoverBackground: import("@stitches/react/types/theme").Token<"buttonDangerHoverBackground", string, "colors", "">;
        buttonSuccessBackground: import("@stitches/react/types/theme").Token<"buttonSuccessBackground", string, "colors", "">;
        buttonSuccessHoverBackground: import("@stitches/react/types/theme").Token<"buttonSuccessHoverBackground", string, "colors", "">;
    };
    fonts: {
        main: import("@stitches/react/types/theme").Token<"main", string, "fonts", "">;
    };
    fontSizes: {
        xs: import("@stitches/react/types/theme").Token<"xs", string, "fontSizes", "">;
        s: import("@stitches/react/types/theme").Token<"s", string, "fontSizes", "">;
        m: import("@stitches/react/types/theme").Token<"m", string, "fontSizes", "">;
        l: import("@stitches/react/types/theme").Token<"l", string, "fontSizes", "">;
        xl: import("@stitches/react/types/theme").Token<"xl", string, "fontSizes", "">;
        xxl: import("@stitches/react/types/theme").Token<"xxl", string, "fontSizes", "">;
    };
    space: {
        xxs: import("@stitches/react/types/theme").Token<"xxs", string, "space", "">;
        xs: import("@stitches/react/types/theme").Token<"xs", string, "space", "">;
        small: import("@stitches/react/types/theme").Token<"small", string, "space", "">;
        medium: import("@stitches/react/types/theme").Token<"medium", string, "space", "">;
        large: import("@stitches/react/types/theme").Token<"large", string, "space", "">;
        xl: import("@stitches/react/types/theme").Token<"xl", string, "space", "">;
        xxl: import("@stitches/react/types/theme").Token<"xxl", string, "space", "">;
    };
    sizes: {
        messageLeftPadding: import("@stitches/react/types/theme").Token<"messageLeftPadding", string, "sizes", "">;
        threadButton: import("@stitches/react/types/theme").Token<"threadButton", string, "sizes", "">;
        messageTypeIcon: import("@stitches/react/types/theme").Token<"messageTypeIcon", string, "sizes", "">;
    };
    borderWidths: {
        spines: import("@stitches/react/types/theme").Token<"spines", string, "borderWidths", "">;
    };
}, globalCss: <Styles extends {
    [K: string]: any;
}>(...styles: ({
    '@import'?: unknown;
    '@font-face'?: unknown;
} & { [K in keyof Styles]: K extends "@import" ? string | string[] : K extends "@font-face" ? import("@stitches/react/types/css").AtRule.FontFace | import("@stitches/react/types/css").AtRule.FontFace[] : K extends `@keyframes ${string}` ? {
    [x: string]: import("@stitches/react/types/css-util").CSS<{}, {
        colors: {
            primaryOpacity10: string;
            primaryOpacity20: string;
            primaryOpacity30: string;
            primaryOpacity50: string;
            primaryOpacity60: string;
            primaryOpacity80: string;
            primaryOpacity100: string;
            primaryDark: string;
            systemMessageDark: string;
            textMuted: string;
            interactiveNormal: string;
            accent: string;
            background: string;
            backgroundSecondary: string;
            backgroundTertiary: string;
            lazyImageBackground: string;
            messageHover: string;
            link: string;
            mentioned: string;
            mentionedHover: string;
            mentionedBorder: string;
            tooltipBackground: string;
            tooltipForeground: string;
            transparentBlack: string;
            blackSpoilerHover: string;
            spines: string;
            attachmentBorder: string;
            danger: string;
            mentionBackground: string;
            mentionForeground: string;
            buttonPrimaryBackground: string;
            buttonPrimaryHoverBackground: string;
            buttonSecondaryBackground: string;
            buttonSecondaryHoverBackground: string;
            buttonDangerBackground: string;
            buttonDangerHoverBackground: string;
            buttonSuccessBackground: string;
            buttonSuccessHoverBackground: string;
        };
        fonts: {
            main: string;
        };
        fontSizes: {
            xs: string;
            s: string;
            m: string;
            l: string;
            xl: string;
            xxl: string;
        };
        space: {
            xxs: string;
            xs: string;
            small: string;
            medium: string;
            large: string;
            xl: string;
            xxl: string;
        };
        sizes: {
            messageLeftPadding: string;
            threadButton: string;
            messageTypeIcon: string;
        };
        borderWidths: {
            spines: string;
        };
    }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
} : K extends `@property ${string}` ? import("@stitches/react/types/css").AtRule.Property : import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>; })[]) => () => string, keyframes: (style: {
    [offset: string]: import("@stitches/react/types/css-util").CSS<{}, {
        colors: {
            primaryOpacity10: string;
            primaryOpacity20: string;
            primaryOpacity30: string;
            primaryOpacity50: string;
            primaryOpacity60: string;
            primaryOpacity80: string;
            primaryOpacity100: string;
            primaryDark: string;
            systemMessageDark: string;
            textMuted: string;
            interactiveNormal: string;
            accent: string;
            background: string;
            backgroundSecondary: string;
            backgroundTertiary: string;
            lazyImageBackground: string;
            messageHover: string;
            link: string;
            mentioned: string;
            mentionedHover: string;
            mentionedBorder: string;
            tooltipBackground: string;
            tooltipForeground: string;
            transparentBlack: string;
            blackSpoilerHover: string;
            spines: string;
            attachmentBorder: string;
            danger: string;
            mentionBackground: string;
            mentionForeground: string;
            buttonPrimaryBackground: string;
            buttonPrimaryHoverBackground: string;
            buttonSecondaryBackground: string;
            buttonSecondaryHoverBackground: string;
            buttonDangerBackground: string;
            buttonDangerHoverBackground: string;
            buttonSuccessBackground: string;
            buttonSuccessHoverBackground: string;
        };
        fonts: {
            main: string;
        };
        fontSizes: {
            xs: string;
            s: string;
            m: string;
            l: string;
            xl: string;
            xxl: string;
        };
        space: {
            xxs: string;
            xs: string;
            small: string;
            medium: string;
            large: string;
            xl: string;
            xxl: string;
        };
        sizes: {
            messageLeftPadding: string;
            threadButton: string;
            messageTypeIcon: string;
        };
        borderWidths: {
            spines: string;
        };
    }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
}) => {
    (): string;
    name: string;
}, css: {
    withConfig: (config: {
        componentId?: string;
        displayName?: string;
        shouldForwardStitchesProp?: (prop: "css" | (string & {})) => boolean | void;
    }) => import("@stitches/react/types/stitches").CssFunctionType<{}, {
        colors: {
            primaryOpacity10: string;
            primaryOpacity20: string;
            primaryOpacity30: string;
            primaryOpacity50: string;
            primaryOpacity60: string;
            primaryOpacity80: string;
            primaryOpacity100: string;
            primaryDark: string;
            systemMessageDark: string;
            textMuted: string;
            interactiveNormal: string;
            accent: string;
            background: string;
            backgroundSecondary: string;
            backgroundTertiary: string;
            lazyImageBackground: string;
            messageHover: string;
            link: string;
            mentioned: string;
            mentionedHover: string;
            mentionedBorder: string;
            tooltipBackground: string;
            tooltipForeground: string;
            transparentBlack: string;
            blackSpoilerHover: string;
            spines: string;
            attachmentBorder: string;
            danger: string;
            mentionBackground: string;
            mentionForeground: string;
            buttonPrimaryBackground: string;
            buttonPrimaryHoverBackground: string;
            buttonSecondaryBackground: string;
            buttonSecondaryHoverBackground: string;
            buttonDangerBackground: string;
            buttonDangerHoverBackground: string;
            buttonSuccessBackground: string;
            buttonSuccessHoverBackground: string;
        };
        fonts: {
            main: string;
        };
        fontSizes: {
            xs: string;
            s: string;
            m: string;
            l: string;
            xl: string;
            xxl: string;
        };
        space: {
            xxs: string;
            xs: string;
            small: string;
            medium: string;
            large: string;
            xl: string;
            xxl: string;
        };
        sizes: {
            messageLeftPadding: string;
            threadButton: string;
            messageTypeIcon: string;
        };
        borderWidths: {
            spines: string;
        };
    }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
} & import("@stitches/react/types/stitches").CssFunctionType<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>;
