export declare const Mention: import("@stitches/react/types/styled-component").StyledComponent<"span", import("@stitches/react/types/styled-component").StyledComponentProps<[{
    backgroundColor: import("@stitches/react/types/theme").Token<"mentionBackground", string, "colors", "">;
    color: import("@stitches/react/types/theme").Token<"mentionForeground", string, "colors", "">;
    borderRadius: number;
    padding: import("@stitches/react/types/theme").Token<"xs", string, "space", "">;
    fontWeight: number;
    variants: {
        canBeClicked: {
            true: {
                "&:hover": {
                    textDecoration: string;
                    cursor: string;
                };
            };
        };
    };
}]>, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const MentionIcon: import("@stitches/react/types/styled-component").StyledComponent<"span", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
