"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Tooltip_1 = __importDefault(require("../Tooltip"));
const react_1 = __importDefault(require("react"));
const Styles = __importStar(require("./style"));
const verified = (react_1.default.createElement(Tooltip_1.default, { placement: "top", overlay: "Verified Bot" },
    react_1.default.createElement(Styles.VerifiedBot, { "aria-label": "Verified Bot", "aria-hidden": "false", width: "16", height: "16", viewBox: "0 0 16 15.2" },
        react_1.default.createElement("path", { d: "M7.4,11.17,4,8.62,5,7.26l2,1.53L10.64,4l1.36,1Z", fill: "currentColor" }))));
// todo: support custom
function ChatTag({ author, crosspost, referenceGuild }) {
    if (!author.bot)
        return null;
    if (author.system || referenceGuild === "667560445975986187")
        return (react_1.default.createElement(Styles.Tag, { className: "verified system" },
            verified,
            " system"));
    if (crosspost)
        return react_1.default.createElement(Styles.Tag, { className: "server" }, "server");
    if (author.flags & (1 << 16))
        return react_1.default.createElement(Styles.Tag, { className: "verified bot" },
            verified,
            " bot");
    return react_1.default.createElement(Styles.Tag, { className: "bot" }, "bot");
}
exports.default = ChatTag;
//# sourceMappingURL=index.js.map