"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const lottie_web_1 = __importDefault(require("lottie-web"));
const react_2 = __importDefault(require("react"));
function Lottie({ data, width, height }) {
    const ref = (0, react_1.createRef)();
    (0, react_1.useEffect)(() => {
        lottie_web_1.default.loadAnimation({
            container: ref.current,
            animationData: JSON.parse(data),
            renderer: "canvas",
        });
    }, []);
    return react_2.default.createElement("div", { style: { width, height }, ref: ref });
}
exports.default = Lottie;
//# sourceMappingURL=Lottie.js.map