"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Styles = __importStar(require("../style"));
const React = __importStar(require("react"));
const v10_1 = require("discord-api-types/v10");
const Tooltip_1 = __importDefault(require("../../Tooltip"));
const webpCheck_1 = __importDefault(require("../../utils/webpCheck"));
function Sticker(props) {
    return (React.createElement(Tooltip_1.default, { overlay: React.createElement(Styles.StickerTooltip, null,
            React.createElement(Styles.StickerTooltipIcon, { width: 16, height: 16, svg: "IconSticker" }),
            " ",
            props.sticker.name), placement: "top" }, props.sticker.format_type === v10_1.StickerFormatType.Lottie ? (React.createElement(Styles.LottieStickerWrapper, null)) : (React.createElement(Styles.Sticker, { height: 160, width: 160, alt: props.sticker.name + " Sticker", src: 
        // todo: allow proper custom urls instead of relying on Discord's CDN
        props.sticker.format_type === v10_1.StickerFormatType.APNG
            ? `https://cdn.discordapp.com/stickers/${props.sticker.id}.png`
            : (0, webpCheck_1.default)(`https://media.discordapp.net/stickers/${props.sticker.id}.webp?size=240`), draggable: false }))));
}
exports.default = Sticker;
//# sourceMappingURL=index.js.map