"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Emoji = exports.emojiCss = void 0;
const stitches_config_1 = require("../Stitches/stitches.config");
exports.emojiCss = {
    objectFit: "contain",
    "-webkit-user-drag": "none",
    width: 22,
    height: 22,
    verticalAlign: "-0.4em",
    margin: 0,
    variants: {
        enlarged: {
            true: {
                width: 48,
                height: 48,
                margin: "3px 1px",
                verticalAlign: "bottom",
            },
        },
    },
};
exports.Emoji = stitches_config_1.styled.withConfig({
    displayName: "emoji",
    componentId: stitches_config_1.commonComponentId,
})("img", exports.emojiCss);
//# sourceMappingURL=style.js.map