"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Tooltip_1 = __importDefault(require("../Tooltip"));
const react_1 = __importDefault(require("react"));
const message_1 = require("./style/message");
const SvgFromUrl_1 = __importDefault(require("../SvgFromUrl"));
function MessageContainer(props) {
    return (react_1.default.createElement(message_1.MessageContainerStyle.MessageContainer, null,
        react_1.default.createElement(message_1.MessageContainerStyle.Buttons, null, props.buttons.map((option, index) => (react_1.default.createElement(Tooltip_1.default, { overlay: option.actionDescription, placement: "top", key: option.actionDescription },
            react_1.default.createElement(message_1.MessageContainerStyle.Button, { onClick: option.onClick, key: `button-${index}` },
                react_1.default.createElement(SvgFromUrl_1.default, { width: 20, height: 20, svg: option.icon })))))),
        props.children));
}
exports.default = MessageContainer;
//# sourceMappingURL=MessageContainer.js.map