"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const MessageAuthor_1 = __importDefault(require("../MessageAuthor"));
const react_1 = __importStar(require("react"));
const LargeTimestamp_1 = __importDefault(require("../LargeTimestamp"));
const Styles = __importStar(require("../style/message"));
const message_1 = require("../style/message");
const v10_1 = require("discord-api-types/v10");
const ConfigContext_1 = require("../../core/ConfigContext");
function BoostTierUpgrade(props) {
    var _a;
    const { resolveChannel, resolveGuild } = (0, ConfigContext_1.useConfig)();
    const channel = resolveChannel(props.channelId);
    const guildName = channel !== null && "guild_id" in channel
        ? (_a = resolveGuild(channel.guild_id).name) !== null && _a !== void 0 ? _a : "Unknown Guild"
        : "Unknown Guild";
    const newLevel = (0, react_1.useMemo)(() => {
        switch (props.type) {
            case v10_1.MessageType.GuildBoostTier1:
                return 1;
            case v10_1.MessageType.GuildBoostTier2:
                return 2;
            case v10_1.MessageType.GuildBoostTier3:
                return 3;
            default:
                return -1;
        }
    }, [props.type]);
    // todo: guildNameHere
    return (react_1.default.createElement(Styles.SystemMessage, null,
        react_1.default.createElement(Styles.SystemMessageIcon, { width: message_1.SystemMessageIconSize, height: message_1.SystemMessageIconSize, svg: "IconBoost" }),
        react_1.default.createElement(Styles.SystemMessageContent, null,
            react_1.default.createElement(MessageAuthor_1.default, { author: props.author, onlyShowUsername: true }),
            " just boosted the server ",
            react_1.default.createElement("strong", null, props.content),
            " time",
            props.content === "1" ? "" : "s",
            "! ",
            guildName,
            " has achieved",
            " ",
            react_1.default.createElement("strong", null,
                "Level ",
                newLevel,
                "!")),
        react_1.default.createElement(LargeTimestamp_1.default, { timestamp: props.createdAt })));
}
exports.default = BoostTierUpgrade;
//# sourceMappingURL=BoostTierUpgrade.js.map