"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const MessageAuthor_1 = __importDefault(require("../MessageAuthor"));
const LargeTimestamp_1 = __importDefault(require("../LargeTimestamp"));
const react_1 = __importDefault(require("react"));
const Styles = __importStar(require("../style/message"));
const message_1 = require("../style/message");
function joinMessage(createdAt, author) {
    const member = react_1.default.createElement(MessageAuthor_1.default, { author: author, onlyShowUsername: true });
    const messages = [
        react_1.default.createElement(react_1.default.Fragment, null,
            member,
            " joined the party."),
        react_1.default.createElement(react_1.default.Fragment, null,
            member,
            " is here."),
        react_1.default.createElement(react_1.default.Fragment, null,
            "Welcome, ",
            member,
            ". We hope you brought pizza."),
        react_1.default.createElement(react_1.default.Fragment, null,
            "A wild ",
            member,
            " appeared."),
        react_1.default.createElement(react_1.default.Fragment, null,
            member,
            " just landed."),
        react_1.default.createElement(react_1.default.Fragment, null,
            member,
            " just slid into the server."),
        react_1.default.createElement(react_1.default.Fragment, null,
            member,
            " just showed up!"),
        react_1.default.createElement(react_1.default.Fragment, null,
            "Welcome ",
            member,
            ". Say hi!"),
        react_1.default.createElement(react_1.default.Fragment, null,
            member,
            " hopped into the server."),
        react_1.default.createElement(react_1.default.Fragment, null,
            "Everyone welcome ",
            member,
            "!"),
        react_1.default.createElement(react_1.default.Fragment, null,
            "Glad you",
            "'",
            "re here, ",
            member,
            "."),
        react_1.default.createElement(react_1.default.Fragment, null,
            "Good to see you, ",
            member,
            "."),
        react_1.default.createElement(react_1.default.Fragment, null,
            "Yay you made it, ",
            member,
            "!"),
    ];
    return messages[Number(new Date(createdAt)) % messages.length];
}
function GuildMemberJoin(props) {
    return (react_1.default.createElement(Styles.SystemMessage, null,
        react_1.default.createElement(Styles.SystemMessageIcon, { width: message_1.SystemMessageIconSize, height: message_1.SystemMessageIconSize, svg: "IconAdd" }),
        react_1.default.createElement(Styles.SystemMessageContent, null,
            joinMessage(props.createdAt, props.author),
            react_1.default.createElement(LargeTimestamp_1.default, { timestamp: props.createdAt }))));
}
exports.default = GuildMemberJoin;
//# sourceMappingURL=GuildMemberJoin.js.map