"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const LargeTimestamp_1 = __importDefault(require("../LargeTimestamp"));
const MessageAuthor_1 = __importDefault(require("../MessageAuthor"));
const ThreadButton_1 = __importDefault(require("../../Content/Thread/ThreadButton"));
const react_1 = __importDefault(require("react"));
const Styles = __importStar(require("../style/message"));
const message_1 = require("../style/message");
const v10_1 = require("discord-api-types/v10");
function ThreadCreated(props) {
    // todo: make work
    // const openThread = useCallback(() => generalStore.setActiveThread({
    //   id: props.messageReference.channelId,
    //   name: props.messageContent,
    //   messageCount: 0,
    //   archivedAt: null,
    //   locked: false
    // }), [props.messageId, props.messageContent]);
    if (props.thread === null)
        return (react_1.default.createElement(Styles.SystemMessage, null,
            react_1.default.createElement(Styles.SystemMessageContent, null,
                react_1.default.createElement(Styles.ThreadCreatedIcon, { width: message_1.SystemMessageIconSize, height: message_1.SystemMessageIconSize, svg: "IconThreadCreated" }),
                react_1.default.createElement(MessageAuthor_1.default, { author: props.author, onlyShowUsername: true }),
                " started a thread:",
                " ",
                react_1.default.createElement(Styles.SystemMessageLink /* onClick={openThread} */, null, props.messageContent)),
            react_1.default.createElement(LargeTimestamp_1.default, { timestamp: props.createdAt })));
    return (react_1.default.createElement(Styles.SystemMessage, null,
        react_1.default.createElement(Styles.SystemMessageContent, null,
            react_1.default.createElement(Styles.ThreadCreatedIcon, { width: message_1.SystemMessageIconSize, height: message_1.SystemMessageIconSize, svg: "IconThreadCreated" }),
            react_1.default.createElement(MessageAuthor_1.default, { author: props.author, onlyShowUsername: true }),
            " started a thread:",
            " ",
            react_1.default.createElement(Styles.SystemMessageLink /* onClick={openThread} */, null, props.thread.name)),
        react_1.default.createElement(LargeTimestamp_1.default, { timestamp: props.createdAt }),
        react_1.default.createElement(ThreadButton_1.default, { thread: props.thread, messageId: props.messageId, messageContent: props.messageContent, messageType: v10_1.MessageType.ThreadCreated, hasReply: false })));
}
exports.default = ThreadCreated;
//# sourceMappingURL=ThreadCreated.js.map