"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const svgs_1 = require("./core/svgs");
function SvgFromUrl(_a) {
    var { svg, width, height } = _a, props = __rest(_a, ["svg", "width", "height"]);
    const svgUrl = (0, svgs_1.getSvgUrl)(svg);
    return (react_1.default.createElement("svg", Object.assign({}, props, { width: width, height: height, viewBox: `0 0 ${width} ${height}`, preserveAspectRatio: "none" }),
        react_1.default.createElement("use", { href: `${svgUrl}#svg`, width: width, height: height })));
}
exports.default = SvgFromUrl;
//# sourceMappingURL=SvgFromUrl.js.map