"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useConfig = exports.ConfigContext = void 0;
const react_1 = require("react");
exports.ConfigContext = (0, react_1.createContext)({
    messageButtons: () => [],
    resolveRole: () => null,
    resolveUser: () => null,
    resolveChannel: () => null,
    resolveMember: () => null,
    resolveGuild: () => null,
    currentUser: () => null,
});
function useConfig() {
    return (0, react_1.useContext)(exports.ConfigContext);
}
exports.useConfig = useConfig;
//# sourceMappingURL=ConfigContext.js.map