"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageRendererProvider = exports.Message = void 0;
const react_1 = __importStar(require("react"));
const Styles = __importStar(require("./style"));
const Message_1 = __importDefault(require("./Message"));
function MessageGroup(props) {
    var _a;
    const [firstMessage, ...otherMessages] = props.messages;
    const [isHovered, setIsHovered] = (0, react_1.useState)(false);
    return (react_1.default.createElement(Styles.MessageGroup, { style: Object.assign(Object.assign({}, props.style), { marginTop: 0 }), onMouseEnter: () => setIsHovered(true), onMouseLeave: () => setIsHovered(false) },
        react_1.default.createElement(Message_1.default, { isFirstMessage: true, message: firstMessage, isHovered: isHovered, showButtons: (_a = props.showButtons) !== null && _a !== void 0 ? _a : true, thread: props.thread }),
        otherMessages.map((message) => {
            var _a;
            return (react_1.default.createElement(Message_1.default, { key: message.id, message: message, showButtons: (_a = props.showButtons) !== null && _a !== void 0 ? _a : true, thread: props.thread }));
        })));
}
var Message_2 = require("./Message");
Object.defineProperty(exports, "Message", { enumerable: true, get: function () { return __importDefault(Message_2).default; } });
var MessageRendererProvider_1 = require("./MessageRendererProvider");
Object.defineProperty(exports, "MessageRendererProvider", { enumerable: true, get: function () { return __importDefault(MessageRendererProvider_1).default; } });
exports.default = MessageGroup;
//# sourceMappingURL=index.js.map