"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
class TextSpoiler extends react_1.PureComponent {
    constructor(props) {
        super(props);
        this.state = { showing: false, hover: false, role: "button" };
        this.onHover = this.onHover.bind(this);
        this.onClick = this.onClick.bind(this);
        this.computeStyle = this.computeStyle.bind(this);
    }
    onHover() {
        if (this.state.showing)
            return;
        this.setState({ hover: !this.state.hover });
    }
    onClick() {
        if (this.state.showing)
            return;
        this.setState({ showing: true, role: "presentation" });
    }
    computeStyle() {
        if (this.state.showing)
            return { background: "hsla(0, 0%, 100%, .1)", borderRadius: "3px" };
        if (this.state.hover)
            return {
                background: "rgba(0, 0, 0, 31%)",
                cursor: "pointer",
                borderRadius: "3px",
            };
        return { background: "rgba(0, 0, 0, 41%)", borderRadius: "3px" };
    }
    computeInnerStyle() {
        if (this.state.showing)
            return { opacity: 1 };
        return { opacity: 0, pointerEvents: "none" };
    }
    render() {
        return (react_1.default.createElement("span", { role: this.state.role, style: this.computeStyle(), onClick: this.onClick, onMouseEnter: this.onHover, onMouseLeave: this.onHover },
            react_1.default.createElement("span", { style: this.computeInnerStyle() }, this.props.content)));
    }
}
exports.default = TextSpoiler;
//# sourceMappingURL=TextSpoiler.js.map