"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MentionIcon = exports.Mention = void 0;
const stitches_config_1 = require("../../../../Stitches/stitches.config");
exports.Mention = stitches_config_1.styled.withConfig({
    displayName: "mention",
    componentId: stitches_config_1.commonComponentId,
})("span", {
    backgroundColor: stitches_config_1.theme.colors.mentionBackground,
    color: stitches_config_1.theme.colors.mentionForeground,
    borderRadius: 3,
    padding: stitches_config_1.theme.space.xs,
    fontWeight: 500,
    variants: {
        canBeClicked: {
            true: {
                "&:hover": {
                    // todo: go to full color, hard because of role colors and SSR..
                    textDecoration: "underline",
                    cursor: "pointer",
                },
            },
        },
    },
});
exports.MentionIcon = stitches_config_1.styled.withConfig({
    displayName: "mention-icon",
    componentId: stitches_config_1.commonComponentId,
})("span", {
    verticalAlign: "middle",
});
//# sourceMappingURL=style.js.map