"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const memoizee_1 = __importDefault(require("memoizee"));
const canUseWebP = (0, memoizee_1.default)(() => {
    var _a;
    const elem = document.createElement("canvas");
    if ((_a = elem.getContext) === null || _a === void 0 ? void 0 : _a.call(elem, "2d")) {
        return elem.toDataURL("image/webp").indexOf("data:image/webp") === 0;
    }
    return false;
});
function webpCheck(url) {
    return canUseWebP() ? url : url.replace("webp", "png");
}
exports.default = webpCheck;
//# sourceMappingURL=webpCheck.js.map